Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.phase.event
Class SolverPhaseLifecycleSupport

    java.lang.Object
      org.drools.event.AbstractEventSupport<SolverPhaseLifecycleListener>
          org.drools.planner.core.phase.event.SolverPhaseLifecycleSupport

All Implemented Interfaces:
  Externalizable, Serializable

    public class SolverPhaseLifecycleSupport

extends org.drools.event.AbstractEventSupport<SolverPhaseLifecycleListener>

Internal API.

See Also:
  Serialized Form

Constructor Summary
`SolverPhaseLifecycleSupport()`

Method Summary
`void` | `firePhaseEnded(AbstractSolverPhaseScope phaseScope)`
`void` | `firePhaseStarted(AbstractSolverPhaseScope phaseScope)`
`void` | `fireSolvingEnded(DefaultSolverScope solverScope)`
`void` | `fireSolvingStarted(DefaultSolverScope solverScope)`
`void` | `fireStepEnded(AbstractStepScope stepScope)`
`void` | `fireStepStarted(AbstractStepScope stepScope)`

Methods inherited from class org.drools.event.AbstractEventSupport
`addEventListener, clear, getEventListeners, getEventListenersIterator, isEmpty, readExternal, removeEventListener, removeEventListener, size, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SolverPhaseLifecycleSupport

    public SolverPhaseLifecycleSupport()

Method Detail

### fireSolvingStarted

    public void fireSolvingStarted(DefaultSolverScope solverScope)

### firePhaseStarted

    public void firePhaseStarted(AbstractSolverPhaseScope phaseScope)

### fireStepStarted

    public void fireStepStarted(AbstractStepScope stepScope)

### fireStepEnded

    public void fireStepEnded(AbstractStepScope stepScope)

### firePhaseEnded

    public void firePhaseEnded(AbstractSolverPhaseScope phaseScope)

### fireSolvingEnded

    public void fireSolvingEnded(DefaultSolverScope solverScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.